For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of vault entries for a database
          • POSTAdd a vault entry to a database
          • DELDeletes the vault entry
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformVault

Retrieves a list of vault entries for a database

GET
https://meta.feedonomics.com/api.php/dbs/:db_id/vault
GET
/api.php/dbs/:db_id/vault
$curl https://meta.feedonomics.com/api.php/dbs/1/vault \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "success": true,
3 "message": "string",
4 "data": {
5 "vault_rows": [
6 {
7 "id": "string",
8 "db_group_id": "string",
9 "name": "string",
10 "expiration": "2023-01-15",
11 "credentials_type": "string",
12 "credentials": "string",
13 "oauth_id": "string",
14 "refresh_token": "string"
15 }
16 ]
17 }
18}
Was this page helpful?
Previous

Update a transformer's sort order in a database

Next

Add a vault entry to a database

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_idintegerRequired
ID of the database that the import belongs to

Headers

x-api-keystringRequired

Response

successful operation
successboolean
messagestring
dataobject